<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Nouveau Configuration devis</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  
  <section id="users-edit">
    <div class="row match-height">
        <div class="col-md-12 col-12">
            <div class="card" >
                <div class="card-header">
                    <h4 class="card-title"></h4>
                </div>
                <div class="card-content">
                    <div class="card-body">
                        <form novalidate #f="ngForm" (ngSubmit)="save(f.value)">
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>{{InvalidFrom}}</span>
                          </div> 
                          <div class="row">
                              <div class="col-12 col-sm-6">
                                <div class="form-group">
                                  <div class="controls">
                                    <label>Code </label>
                                    <input type="text" class="form-control" placeholder="Code"  name="code" #code="ngModel" [(ngModel)]="configuration.code"  required>
                                  </div>
                                  <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="code.touched && code.invalid">
                                    <i class="feather icon-info mr-1 align-middle"></i>
                                    <span>Code Obligatoire</span>
                                  </div>
                                
                                </div>
                            </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                
              
                                
                                <div class="form-group">
                                  <label>Risque</label>
                                  <select class="form-control" name="risque"  [(ngModel)]="configuration.risque"  required>
                                   
                                    <option *ngFor="let r of risque; index as i" value="{{r.id}}">{{r.nom}}</option>
                                     
                                  </select>
                                </div>
              
                                
                              </div>
                              <div class="col-12 col-sm-6">
              
                        
                                <div class="form-group">
                                  <div class="controls">
                                    <label>Questionnaire</label>
                                    <textarea class="form-control" placeholder="Questionnaire" name="questionnaire" #questionnaire="ngModel" [(ngModel)]="configuration.questionnaire"  required></textarea>
                                  </div>
                                  <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="questionnaire.touched && questionnaire.invalid">
                                    <i class="feather icon-info mr-1 align-middle"></i>
                                    <span>Questionnaire Obligatoire</span>
                                  </div>
                                </div>
                              </div>
                              
                              <div class="col-md-4 offset-md-8" style="margin-top: 10px;">
                                <button type="reset" class="btn btn-warning mr-1 mb-1 waves-effect waves-light">Annuler</button>   
                                <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" [disabled]="f.invalid" >Ajouter Configuration</button>
                                </div>
                            </div>
                          </form>            
                                </div>
                </div>
            </div>
        </div>
        
    </div>
  </section>